#!/sbin/sh
# backup build.prop and sysctl.conf and add Tweaks
# 'add to build.prop'-cmd by unCoRrUpTeD@xda

# path
backup="/sdcard/backups"
bpfile="build.prop"
bp="/system/build.prop"
ctlfile="sysctl.conf"
ctl="/system/etc/sysctl.conf"
bptmp=buildprop.temp
ctltmp=sysctl.temp

# mount
busybox mount -t auto /data
busybox mount -t auto /cache
busybox mount -t auto /sdcard
busybox mount -t auto /system

# wipe cache and dalvik-cache
rm -rf /data/dalvik-cache/*
rm -rf /cache/*

# make backup-folder
if [ ! -d $backup ]; then
	mkdir -p $backup
fi

# go to /sdcard/backups
cd $backup

# backup build.prop
if [ ! -f $bpfile ]; then
	cp $bp $bpfile
fi

# backup sysctl.conf
if [ ! -f $ctlfile ]; then
	cp $ctl $ctlfile
fi

# go to /tmp
cd /tmp

# add to build.prop
echo "" >> $bp
echo "### Internet Tweaks ###" >> $bp

for bpmod in bp;
  do
    for prop in `cat /tmp/$bpmod`;do
      export newprop=$(echo ${prop} | cut -d '=' -f1)
      sed -i "/${newprop}/d" $bp
      echo $prop >> $bp
    done
done

# add to sysctl.conf
echo "" >> $ctl
echo "### Internet Tweaks ###" >> $ctl

for ctlmod in ctl;
  do
    for prop in `cat /tmp/$ctlmod`;do
      export newprop=$(echo ${prop} | cut -d '=' -f1)
      sed -i "/${newprop}/d" $ctl
      echo $prop >> $ctl
    done
done

sync
sleep 2

# set permissions
chmod 0644 $bp
chown 0:0 $bp
chmod 0644 $ctl
chown 0:0 $ctl

# unmount
busybox umount /data
busybox umount /cache
busybox umount /sdcard
busybox umount /system
